const _colors = {
  // text_ 开头是文字颜色
  text_primary: '#935B13', // 主题色
  button_primary_gradient: 'linear-gradient(to right, #EFBF91, #DD974F)', // 按钮渐变背景色（应根据主题色调整）
  button_lighter_gradient: 'linear-gradient(to right, #FFDEBF, #E6A867)', // 浅色按钮渐变背景色
  text_main: '#333333', // 主要文字颜色
  text_content: '#666666', // 内容文字颜色
  text_info: '#999999', // 提示文字颜色
  text_gold_in_dark: '#FFCE96', // 深色背景下的金色
  text_gold: '#FFCE96', // 金色
  text_in_dark: '#ffffff', // 深色背景下的文字颜色
  text_line: '#EBEBEB', // 线条颜色
  text_tabbar_active: '#E3B07F', // 底部导航文字选中时颜色
  text_tabbar_deactive: '#8B8EA0', // 底部导航文字未选中时颜色
  text_red: '#E14942',
  text_primary_lighter: '#DD974F', // 较浅的主题色，用于 hismarkt-flot等
  // bg_开头是背景色
  bg_login_gradient: 'linear-gradient(to bottom, #151C52, #171D41)', // 登录页背景
  bg_navbar_gradient: 'linear-gradient(to bottom, #b8191d, #cc010c)', // 导航栏
  bg_gold_gradient: 'linear-gradient(to top left, #E8C390, #DBB688)', // 金色，引导后续操作
  bg_gold_card_gradient: 'linear-gradient(to right, #F5E1C4, #F8EAD6)', // 暂未使用
  bg_bankcard_gradient: 'linear-gradient(to right, #161C52, #2B3274)', // 银行卡管理页面背景色
  bg_navbar_native: "#151C52", // 原生导航栏颜色（不能是渐变）以及活动报名等背景色
  bg_tabbar: '#394386', // 底部导航颜色
  bg_page: '#ffffff', // 页面背景颜色
  bg_switch: '#3D74D9', // switch开启时颜色
  bg_card_white: '#ffffff',
  bg_btn_contract: '#DD974F' // 电子合同底部按钮颜色，一般可使用主题色
}
export const colors = _colors;

// 根据颜色生成样式
let extraStyle = {
  text_in_dark: {
    opacity: 0.6
  }
}
let _styles = {};
Object.keys(colors).forEach((key) => {
  if (key.indexOf('text_') !== -1) {
    _styles[key] = {
      color: colors[key],
      ...extraStyle[key]
    }
  } else if (key.indexOf('bg_') !== -1) {
    let styleKey = key.indexOf('_gradient') !== -1 ? 'backgroundImage' : 'backgroundColor'
    _styles[key] = {
      [styleKey]: colors[key],
      ...extraStyle[key]
    }
  }
})
export const styles = _styles;

export const layout = {
  tile: null // null-默认模式，true-平铺模式，false-卡片模式
}